package com.ruoyi.app.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 app_pms_order_out
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public class AppPmsOrderOut extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private String recordId;

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    /** 出库单号 */
    private String listId;
    /** wms订单号 */
    @Excel(name = "wms订单号")
    private String orderId;
    /** 出库单类型 */
    @Excel(name = "出库单类型")
    private Long orderType;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerId;

    /** 物料号 */
    @Excel(name = "物料号")
    private String goodsId;

    /** 出库数量 */
    @Excel(name = "出库数量")
    private BigDecimal goodsNum;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String goodsDesc;

    /** 预留1 */
    @Excel(name = "预留1")
    private String spare1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String spare2;

    @Excel(name = "订单状态")
    private Integer orderStatus;
    /** 总出库数量 */
    @Excel(name = "总出库数量")
    private BigDecimal pickNum;

    /** 确认出库数量 */
    @Excel(name = "确认出库数量")
    private BigDecimal trNum;
    /** 本次出库数量 */
    @Excel(name = "本次出库数量")
    private BigDecimal shelvesNum;
    /** 库存数量 */
    @Excel(name = "库存数量")
    private BigDecimal stockNum;
    /** 是否锁定 */
    @Excel(name = "是否锁定")
    private String isLock;

    public String getIsLock() {
        return isLock;
    }

    public void setIsLock(String isLock) {
        this.isLock = isLock;
    }

    public BigDecimal getPickNum() {
        return pickNum;
    }

    public void setPickNum(BigDecimal pickNum) {
        this.pickNum = pickNum;
    }

    public BigDecimal getTrNum() {
        return trNum;
    }

    public void setTrNum(BigDecimal trNum) {
        this.trNum = trNum;
    }

    public BigDecimal getShelvesNum() {
        return shelvesNum;
    }

    public void setShelvesNum(BigDecimal shelvesNum) {
        this.shelvesNum = shelvesNum;
    }

    public BigDecimal getStockNum() {
        return stockNum;
    }

    public void setStockNum(BigDecimal stockNum) {
        this.stockNum = stockNum;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setListId(String listId)
    {
        this.listId = listId;
    }

    public String getListId()
    {
        return listId;
    }
    public void setOrderType(Long orderType)
    {
        this.orderType = orderType;
    }

    public Long getOrderType()
    {
        return orderType;
    }
    public void setCustomerId(String customerId)
    {
        this.customerId = customerId;
    }

    public String getCustomerId()
    {
        return customerId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsNum(BigDecimal goodsNum)
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum()
    {
        return goodsNum;
    }
    public void setGoodsDesc(String goodsDesc)
    {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsDesc()
    {
        return goodsDesc;
    }
    public void setSpare1(String spare1)
    {
        this.spare1 = spare1;
    }

    public String getSpare1()
    {
        return spare1;
    }
    public void setSpare2(String spare2)
    {
        this.spare2 = spare2;
    }

    public String getSpare2()
    {
        return spare2;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("listId", getListId())
                .append("orderType", getOrderType())
                .append("customerId", getCustomerId())
                .append("goodsId", getGoodsId())
                .append("goodsNum", getGoodsNum())
                .append("goodsDesc", getGoodsDesc())
                .append("spare1", getSpare1())
                .append("spare2", getSpare2())
                .toString();
    }
}
